TRANTOR DATA OPEN Platform

查价

进行查价

全局查价

POST https://rate.trantordata.com/open_v1/search

收费API 无需传递 X-JYY-UserId 与 X-JYY-SecurityHash cookie

Headers

Name Type Description
Api-Key* String sk-xkze4N8V...lyUTKY93
Content-Type* String application/x-www-form-urlencoded

Cookies

Name Type Description
X-JYY-UserId String 200...nDc
X-JYY-SecurityHash String dal...3jk

Request Body

Name Type Description
from_address_json* String 运输起始地址,由地址获取API得到的地址对象,序列化后的字符串
to_address_json* String 运输目的地址,由地址获取API得到的地址对象,序列化后的字符串
cargo_name* String 货物品名
cargo_weight* double 货物重量,单位为kg,公斤
cargo_volume* double 货物体积,单位为m^3,立方米
goods_status String

货物状态,枚举值,详情见QueryGoodsStQueryGoodsStatQueryGoodsStatus。

默认为ReadyNow。

{
    // 查价id,唯一
    "id": "230523023855QoOnhLMZ",
    // 查价时间,UTC时间戳
    "addedAt": 1684809536000,
    // 查价最后更新时间,UTC时间戳
    "lastUpdatedAt": 1684809536000,
    // 查价人,数据结构与用户API返回一致,匿名查价时,为null
    "searchBy": {
        "id": "2201210242458KyuUZey",
        "addedAt": 1642732965000,
        "lastUpdatedAt": 1684831791000,
        "nickName": "邮箱测试01",
        "avatarUrl": null,
        "status": "AdminValidated",
        "phone": "+86 176 9507 1018",
        "company": "测试公司",
        "email": "liuzengjie@eztrans.net",
        "position": "1"
    },
    // 运输起始地址,数据结构与地址获取API返回一致
    "from": {
        "bbox": [31.316601782429323, 121.64432679143174, 31.324327217570676, 121.65638400856825],
        "addressLine": "越海路",
        "locality": "浦东新区",
        "neighborhood": null,
        "adminDistrict": "上海市",
        "adminDistrict2": null,
        "formattedAddress": "上海市浦东新区越海路",
        "postalCode": "200135",
        "countryRegion": "中华人民共和国",
        "countryRegionIso2": "CN",
        "landmark": null,
        "latLng": {
            "latitude": 31.3204645,
            "longitude": 121.6503554
        },
        "formattedAddressLine": "上海市浦东新区越海路",
        "geoInfo": {
            "latitude": 31.3204645,
            "longitude": 121.6503554
        },
        "countryCodeIso2": "CN"
    },
    // 运输目的地址,数据结构与地址获取API返回一致
    "to": {
        "bbox": [-36.859832717570676, 174.81494133593355, -36.85210728242932, 174.82781406406644],
        "addressLine": "44 Reihana Street",
        "locality": "Orakei",
        "neighborhood": null,
        "adminDistrict": "AUK",
        "adminDistrict2": "Ōrākei Local Board Area",
        "formattedAddress": "44 Reihana Street, Orakei, 奧克蘭 1071, 新西兰",
        "postalCode": "1071",
        "countryRegion": "新西兰",
        "countryRegionIso2": "NZ",
        "landmark": null,
        "latLng": {
            "latitude": -36.85597,
            "longitude": 174.8213777
        },
        "formattedAddressLine": "44 Reihana Street, Orakei, 奧克蘭 1071, 新西兰",
        "geoInfo": {
            "latitude": -36.85597,
            "longitude": 174.8213777
        },
        "countryCodeIso2": "NZ"
    },
    // 查价货物信息,数组
    "items": [{
        // 货物品名
        "name": "货物",
        // 货物重量,单位kg
        "weight": 222.0,
        // 获取体积,单位m^3
        "volume": 125.0,
        // 货物长度,单位m,预留,暂时为0
        "length": 0.0,
        // 货物宽度,单位m,预留,暂时为0
        "width": 0.0,
        // 货物高度,单位m,预留,暂时为0
        "height": 0.0
    }],
    // 查价币种
    "baseCurrency": "CNY",
    // 查价辅助币种,在查价结果中,会存在该币种的数据
    "optionalCurrencies": ["EUR", "USD"],
    // 查价类型,All为全局查价,目前仅支持全局查价
    "queryType": "All",
    // 货物状态,参考QueryGoodsStatus枚举
    "goodsStatus": "readyNow"
}

进行查价(指定箱型)

全局查价(指定海运整箱箱型)

POST https://rate.trantordata.com/open_v1/search/cntr_adj

指定箱型仅会对海运整箱的方案有影响

收费API 无需传递 X-JYY-UserId 与 X-JYY-SecurityHash cookie

Headers

Name Type Description
Api-Key* String sk-xkze4N8V...lyUTKY93
Content-Type* String application/x-www-form-urlencoded

Cookies

Name Type Description
X-JYY-UserId String 200...nDc
X-JYY-SecurityHash String dal...3jk

Request Body

Name Type Description
query_id* String 查价id
40hq int 40HQ箱型数量,默认为0,不可为负数或大于1000的自然数
40gp int 40GP箱型数量,默认为0,不可为负数或大于1000的自然数
20gp int 20GP箱型数量,默认为0,不可为负数或大于1000的自然数
{
    // 查价id,唯一
    "id": "230523023855QoOnhLMZ",
    // 查价时间,UTC时间戳
    "addedAt": 1684809536000,
    // 查价最后更新时间,UTC时间戳
    "lastUpdatedAt": 1684809536000,
    // 查价人,数据结构与用户API返回一致,匿名查价时,为null
    "searchBy": {
        "id": "2201210242458KyuUZey",
        "addedAt": 1642732965000,
        "lastUpdatedAt": 1684831791000,
        "nickName": "邮箱测试01",
        "avatarUrl": null,
        "status": "AdminValidated",
        "phone": "+86 176 9507 1018",
        "company": "测试公司",
        "email": "liuzengjie@eztrans.net",
        "position": "1"
    },
    // 运输起始地址,数据结构与地址获取API返回一致
    "from": {
        "bbox": [31.316601782429323, 121.64432679143174, 31.324327217570676, 121.65638400856825],
        "addressLine": "越海路",
        "locality": "浦东新区",
        "neighborhood": null,
        "adminDistrict": "上海市",
        "adminDistrict2": null,
        "formattedAddress": "上海市浦东新区越海路",
        "postalCode": "200135",
        "countryRegion": "中华人民共和国",
        "countryRegionIso2": "CN",
        "landmark": null,
        "latLng": {
            "latitude": 31.3204645,
            "longitude": 121.6503554
        },
        "formattedAddressLine": "上海市浦东新区越海路",
        "geoInfo": {
            "latitude": 31.3204645,
            "longitude": 121.6503554
        },
        "countryCodeIso2": "CN"
    },
    // 运输目的地址,数据结构与地址获取API返回一致
    "to": {
        "bbox": [-36.859832717570676, 174.81494133593355, -36.85210728242932, 174.82781406406644],
        "addressLine": "44 Reihana Street",
        "locality": "Orakei",
        "neighborhood": null,
        "adminDistrict": "AUK",
        "adminDistrict2": "Ōrākei Local Board Area",
        "formattedAddress": "44 Reihana Street, Orakei, 奧克蘭 1071, 新西兰",
        "postalCode": "1071",
        "countryRegion": "新西兰",
        "countryRegionIso2": "NZ",
        "landmark": null,
        "latLng": {
            "latitude": -36.85597,
            "longitude": 174.8213777
        },
        "formattedAddressLine": "44 Reihana Street, Orakei, 奧克蘭 1071, 新西兰",
        "geoInfo": {
            "latitude": -36.85597,
            "longitude": 174.8213777
        },
        "countryCodeIso2": "NZ"
    },
    // 查价货物信息,数组
    "items": [{
        // 货物品名
        "name": "货物",
        // 货物重量,单位kg
        "weight": 222.0,
        // 获取体积,单位m^3
        "volume": 125.0,
        // 货物长度,单位m,预留,暂时为0
        "length": 0.0,
        // 货物宽度,单位m,预留,暂时为0
        "width": 0.0,
        // 货物高度,单位m,预留,暂时为0
        "height": 0.0
    }],
    // 查价币种
    "baseCurrency": "CNY",
    // 查价辅助币种,在查价结果中,会存在该币种的数据
    "optionalCurrencies": ["EUR", "USD"],
    // 查价类型,All为全局查价,目前仅支持全局查价
    "queryType": "All",
    // 货物状态,参考QueryGoodsStatus枚举
    "goodsStatus": "readyNow"
}

进行查价(指定箱型直接查价)

全局查价(指定海运整箱箱型,直接进行查价)

POST https://rate.trantordata.com/open_v1/search/cntr

指定箱型仅会对海运整箱的方案有影响

收费API 无需传递 X-JYY-UserId 与 X-JYY-SecurityHash cookie

Headers

Name Type Description
Api-Key* String sk-xkze4N8V...lyUTKY93
Content-Type* String application/x-www-form-urlencoded

Cookies

Name Type Description
X-JYY-UserId String 200...nDc
X-JYY-SecurityHash String dal...3jk

Request Body

Name Type Description
from_address_json* String 运输起始地址,由地址获取API得到的地址对象,序列化后的字符串
40hq int 40HQ箱型数量,默认为0,不可为负数或大于1000的自然数
40gp int 40GP箱型数量,默认为0,不可为负数或大于1000的自然数
20gp int 20GP箱型数量,默认为0,不可为负数或大于1000的自然数
goods_status String

货物状态,枚举值,详情见QueryGoodsStQueryGoodsStatQueryGoodsStatus。

默认为ReadyNow。

cargo_name* String 货物品名
to_address_json* String 运输目的地址,由地址获取API得到的地址对象,序列化后的字符串
{
    // 查价id,唯一
    "id": "230523023855QoOnhLMZ",
    // 查价时间,UTC时间戳
    "addedAt": 1684809536000,
    // 查价最后更新时间,UTC时间戳
    "lastUpdatedAt": 1684809536000,
    // 查价人,数据结构与用户API返回一致,匿名查价时,为null
    "searchBy": {
        "id": "2201210242458KyuUZey",
        "addedAt": 1642732965000,
        "lastUpdatedAt": 1684831791000,
        "nickName": "邮箱测试01",
        "avatarUrl": null,
        "status": "AdminValidated",
        "phone": "+86 176 9507 1018",
        "company": "测试公司",
        "email": "liuzengjie@eztrans.net",
        "position": "1"
    },
    // 运输起始地址,数据结构与地址获取API返回一致
    "from": {
        "bbox": [31.316601782429323, 121.64432679143174, 31.324327217570676, 121.65638400856825],
        "addressLine": "越海路",
        "locality": "浦东新区",
        "neighborhood": null,
        "adminDistrict": "上海市",
        "adminDistrict2": null,
        "formattedAddress": "上海市浦东新区越海路",
        "postalCode": "200135",
        "countryRegion": "中华人民共和国",
        "countryRegionIso2": "CN",
        "landmark": null,
        "latLng": {
            "latitude": 31.3204645,
            "longitude": 121.6503554
        },
        "formattedAddressLine": "上海市浦东新区越海路",
        "geoInfo": {
            "latitude": 31.3204645,
            "longitude": 121.6503554
        },
        "countryCodeIso2": "CN"
    },
    // 运输目的地址,数据结构与地址获取API返回一致
    "to": {
        "bbox": [-36.859832717570676, 174.81494133593355, -36.85210728242932, 174.82781406406644],
        "addressLine": "44 Reihana Street",
        "locality": "Orakei",
        "neighborhood": null,
        "adminDistrict": "AUK",
        "adminDistrict2": "Ōrākei Local Board Area",
        "formattedAddress": "44 Reihana Street, Orakei, 奧克蘭 1071, 新西兰",
        "postalCode": "1071",
        "countryRegion": "新西兰",
        "countryRegionIso2": "NZ",
        "landmark": null,
        "latLng": {
            "latitude": -36.85597,
            "longitude": 174.8213777
        },
        "formattedAddressLine": "44 Reihana Street, Orakei, 奧克蘭 1071, 新西兰",
        "geoInfo": {
            "latitude": -36.85597,
            "longitude": 174.8213777
        },
        "countryCodeIso2": "NZ"
    },
    // 查价货物信息,数组
    "items": [{
        // 货物品名
        "name": "货物",
        // 货物重量,单位kg
        "weight": 222.0,
        // 获取体积,单位m^3
        "volume": 125.0,
        // 货物长度,单位m,预留,暂时为0
        "length": 0.0,
        // 货物宽度,单位m,预留,暂时为0
        "width": 0.0,
        // 货物高度,单位m,预留,暂时为0
        "height": 0.0
    }],
    // 查价币种
    "baseCurrency": "CNY",
    // 查价辅助币种,在查价结果中,会存在该币种的数据
    "optionalCurrencies": ["EUR", "USD"],
    // 查价类型,All为全局查价,目前仅支持全局查价
    "queryType": "All",
    // 货物状态,参考QueryGoodsStatus枚举
    "goodsStatus": "readyNow"
}

获取查价结果

获取查价结果

GET https://rate.trantordata.com/open_v1/query_history/{queryId}

收费API 无需传递 X-JYY-UserId 与 X-JYY-SecurityHash cookie

Path Parameters

Name Type Description
queryId* String 查价id

Headers

Name Type Description
Api-Key* String sk-xkze4N8V...lyUTKY93

Cookies

Name Type Description
X-JYY-UserId String 200...nDc
X-JYY-SecurityHash String dal...3jk
{
    // 空运方案,数组
    "airPlans": [
        { QueryPlanSeparated },
        ...
    ],
    // 推荐的空运方案,id为空运方案数组内,某个QueryPlanSeparated的id,无空运方案时为null
    "recommendedAirPlanId": "230524063245YhXWgfwT",
    // 铁运方案,数组
    "railPlans": [
        { QueryPlanSeparated },
        ...
    ],
    // 推荐的铁运方案,id为铁运方案数组内,某个QueryPlanSeparated的id,无铁运方案时为null
    "recommendedRailPlanId": "230524063245as6s355U",
    // 海运方案,数组
    "shippingPlans": [
        { QueryPlanSeparated },
        ...
    ],
    // 推荐的海运方案,id为海运方案数组内,某个QueryPlanSeparated的id,无海运方案时为null
    "recommendedShippingPlanId": "230524063245Mp1MnUiE",
    // 快递方案,数组
    "expressPlans": [
        { QueryPlanCombined },
        ...
    ],
    // 推荐的快递方案,id为快递方案数组内,某个QueryPlanCombined的id,无快递方案时为null
    "recommendedExpressPlanId": "230524063254eOUiDuL9",
    // 原始查价信息,数据结构同运行查价API返回结果一致
    "originalQuery": {
        QueryHistory
    }
}